classification
Title: 6.2.1. Regular Expression Syntax flags
Type: enhancement Stage: needs patch
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, endoalir, georg.brandl
Priority: normal Keywords: easy, patch

Created on 2013-09-29 16:09 by endoalir, last changed 2013-10-06 09:44 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
re_u.patch sant0sh, 2013-10-05 13:43 Contains the patch for the specified changes.
Messages (2)
msg198600 - (view) Author: Jason Smestad (endoalir) Date: 2013-09-29 16:09
In the Python 3.3.2 documentation in the section "6.2.1. Regular Expression Syntax" subsection "(?aiLmsux)" it describes flags that are set by extention notation. 6 of the flags are described in detail with links for each flag, but the "u" flag is not described or linked to in this subsection. 

When reading this subsection, you may be confused as to what the "u" flag is for, or if it even belongs there, since there is no link. I suggest that a link be added in that subsection to the re.A section in 6.2.2, and that re.U be added as a title for the re.A subsection in 6.2.2.
msg199060 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 09:44
This is intended, the U flag is a legacy flag that is not supposed to by used in new code.
History
Date User Action Args
2013-10-06 09:44:33georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg199060

resolution: rejected
2013-10-05 13:43:41sant0shsetfiles: + re_u.patch
keywords: + patch
2013-10-05 03:12:15ezio.melottisetkeywords: + easy
type: enhancement
versions: - Python 2.7
2013-10-05 01:11:02terry.reedysetstage: needs patch
versions: + Python 2.7, Python 3.4
2013-09-29 16:09:07endoalircreate